<p align="center">
    <img src="https://i.imgur.com/33Y65YL.png" width="150">
</p>

---

PlotSquared is a land and world management plugin for Minecraft. 
It includes several highly configurable world generators. 
You can create plots of land in existing worlds using plot clusters, or you can have a full world of plots.

For the end user, PlotSquared is packed with a tonne of cool features.
It allows you to merge plots, and build together with your friends. 
You can also change a lot of plot specific settings in the form of
flags. Such as: weather, time, game modes, pvp status. 

Whilst we provide a whole load of unique features, the biggest focus
is to provide a lag-free and smooth experience.


<p align="center">
    <a href="https://bstats.org/plugin/bukkit/PlotSquared" title="PlotSquared on bStats">
        <img src="https://bstats.org/signatures/bukkit/PlotSquared.svg" />
    </a>
</p>

## Links

* [Download](https://www.spigotmc.org/resources/77506/)
* [Discord](https://discord.gg/intellectualsites)
* [Wiki](https://github.com/IntellectualSites/PlotSquared-Documentation/wiki)
* [Issues](https://github.com/IntellectualSites/PlotSquared/issues)
* [Translations](https://intellectualsites.crowdin.com/plotsquared/)

### Developer Resources
* [API Documentation](https://github.com/IntellectualSites/PlotSquared-Documentation/wiki/API-Documentation)
* [Event API](https://github.com/IntellectualSites/PlotSquared-Documentation/wiki/Events)
* [Flag API](https://github.com/IntellectualSites/PlotSquared-Documentation/wiki/API-Flag)

# Building
Gradle is the **recommended** way to build the project. Use `./gradlew build` in the main project directory to build the project. Gradle is required if you intend to build or develop the Sponge module.

# Contributing
See [here](https://github.com/IntellectualSites/PlotSquared/blob/v6/CONTRIBUTING.md)

## Suggestions
Suggestions are welcome! We have a separate issue tracker for suggestions, that can be found in [this](https://github.com/IntellectualSites/PlotSquaredSuggestions) repository.

# Official Addons
* [Plot2Dynmap](http://www.spigotmc.org/resources/plot2dynmap.1292/)
* [HoloPlots](https://www.spigotmc.org/resources/holoplots.4880/)
* [PlotHider](https://www.spigotmc.org/resources/plot-hider.20701/)
### Unmaintained or integrated into PlotSquared  
* [AdvPlots](http://www.spigotmc.org/resources/advplots-%CE%B2.1500/)
* [PlotRankup](http://www.spigotmc.org/resources/plotrankup.1571/)
* [PlotZSux](https://www.spigotmc.org/resources/plotzsux.9563/)
* [IslandPlots](https://www.spigotmc.org/resources/islandplots.9421/)
* [BiomeGenerator](https://www.spigotmc.org/resources/biomegenerator.1663/)
* [PlotSquaredMG](https://www.spigotmc.org/resources/plotsquaredmg.8025/)
* [BasicPlots](https://www.spigotmc.org/resources/basicplots.6901/)

# Sponsors
Our official sponsor list can be found [here](https://intellectualsites.github.io/download/sponsors.html). <br>
If you are interested and want to be listed here, [contact us](https://intellectualsites.github.io/download/contact.html).
